[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.IsScrollBarVisible

Determines if the scroll bar is visible using the state from the widgetset class.

## Declaration

Source position: forms.pp line 147

`public function TControlScrollBar.IsScrollBarVisible: Boolean; virtual;`

## Function result

True if the scroll bar is visible.

## Description

IsScrollBarVisible is a Boolean function used to determine if the scroll bar for the associated control is visible. The return value defaults to the value in the Visible property. If the handle has been allocated for the control, the GetScrollbarVisible routine from the LCL interface is used to get the visibility for the scroll bar Kind.

IsScrollBarVisible is used in the implementation of the ClientSizeWithBar and ClientSizeWithoutBar methods.